# ================================================= #
#                Trash Guy Animation                #
#                     (> ^_^)>                      #
#           Made by Zac (trashguy@zac.cy)           #
#               Version 4.1.0.20201210              #
#         Donate:                                   #
#         12Na1AmuGMCQYsxwM7ZLSr1sgfZacZFYxa        #
# ================================================= #
# Copyright (C) 2020 Zac (trashguy@zac.cy)          #
# Permission is hereby granted, free of charge, to  #
# any person obtaining a copy of this software and  #
# associated documentation files (the "Software"),  #
# to deal in the Software without restriction,      #
# including without limitation the rights to use,   #
# copy, modify, merge, publish, distribute,         #
# sublicense, and/or sell copies of the Software,   #
# and to permit persons to whom the Software is     #
# furnished to do so, subject to the following      #
# conditions: The above copyright notice and this   #
# permission notice shall be included in all copies #
# or substantial portions of the Software.          #
# ================================================= #
#
# ================================================= #
#    If you rewrite this software in a different    #
#    programming language or create a derivative    #
#    work, please be kind and include this notice   #
#    and the below credit along with the license:   #
#                                                   #
#    This work is based on the original TrashGuy    #
# animation (https://github.com/trash-guy/TrashGuy) #
#         written by Zac (trashguy@zac.cy).         #
#                                                   #
# ================================================= #

# Look-up table of commonly used indices for instant conversion
# Generated with generate_lut.py
_LUT = (
    (0, 7), (0, 7), (0, 7), (0, 7), (0, 7), (0, 7), (0, 7), (1, 9), (1, 9),
    (1, 9), (1, 9), (1, 9), (1, 9), (1, 9), (1, 9), (1, 9), (2, 11), (2, 11),
    (2, 11), (2, 11), (2, 11), (2, 11), (2, 11), (2, 11), (2, 11), (2, 11),
    (2, 11), (3, 13), (3, 13), (3, 13), (3, 13), (3, 13), (3, 13), (3, 13),
    (3, 13), (3, 13), (3, 13), (3, 13), (3, 13), (3, 13), (4, 15), (4, 15),
    (4, 15), (4, 15), (4, 15), (4, 15), (4, 15), (4, 15), (4, 15), (4, 15),
    (4, 15), (4, 15), (4, 15), (4, 15), (4, 15), (5, 17), (5, 17), (5, 17),
    (5, 17), (5, 17), (5, 17), (5, 17), (5, 17), (5, 17), (5, 17), (5, 17),
    (5, 17), (5, 17), (5, 17), (5, 17), (5, 17), (5, 17), (6, 19), (6, 19),
    (6, 19), (6, 19), (6, 19), (6, 19), (6, 19), (6, 19), (6, 19), (6, 19),
    (6, 19), (6, 19), (6, 19), (6, 19), (6, 19), (6, 19), (6, 19), (6, 19),
    (6, 19), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21),
    (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21),
    (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (7, 21), (8, 23), (8, 23),
    (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (8, 23),
    (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (8, 23),
    (8, 23), (8, 23), (8, 23), (8, 23), (8, 23), (9, 25), (9, 25), (9, 25),
    (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25),
    (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25),
    (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (9, 25), (10, 27), (10, 27),
    (10, 27), (10, 27), (10, 27), (10, 27), (10, 27), (10, 27), (10, 27),
    (10, 27), (10, 27), (10, 27), (10, 27), (10, 27), (10, 27), (10, 27),
    (10, 27), (10, 27), (10, 27), (10, 27), (10, 27), (10, 27), (10, 27),
    (10, 27), (10, 27), (10, 27), (10, 27), (11, 29), (11, 29), (11, 29),
    (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (11, 29),
    (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (11, 29),
    (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (11, 29),
    (11, 29), (11, 29), (11, 29), (11, 29), (11, 29), (12, 31), (12, 31),
    (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31),
    (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31),
    (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31),
    (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31), (12, 31),
    (12, 31), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33),
    (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33),
    (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33),
    (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33),
    (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (13, 33), (14, 35),
    (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35),
    (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35),
    (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35),
    (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35),
    (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (14, 35), (15, 37),
    (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37),
    (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37),
    (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37),
    (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37),
    (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37), (15, 37),
    (15, 37), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39),
    (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39),
    (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39),
    (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39),
    (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (16, 39),
    (16, 39), (16, 39), (16, 39), (16, 39), (16, 39), (17, 41), (17, 41),
    (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41),
    (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41),
    (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41),
    (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41),
    (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41), (17, 41),
    (17, 41), (17, 41), (17, 41), (17, 41), (18, 43), (18, 43), (18, 43),
    (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43),
    (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43),
    (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43),
    (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43),
    (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (18, 43),
    (18, 43), (18, 43), (18, 43), (18, 43), (18, 43), (19, 45), (19, 45),
    (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45),
    (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45),
    (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45),
    (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45),
    (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45),
    (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45), (19, 45),
    (19, 45), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47),
    (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47),
    (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47),
    (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47),
    (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47),
    (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47),
    (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (20, 47), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49),
    (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (21, 49), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51), (22, 51),
    (22, 51), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (23, 53),
    (23, 53), (23, 53), (23, 53), (23, 53), (23, 53), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55), (24, 55),
    (24, 55), (24, 55), (24, 55), (24, 55), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (25, 57),
    (25, 57), (25, 57), (25, 57), (25, 57), (25, 57), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59), (26, 59),
    (26, 59), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61),
    (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (27, 61), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63),
    (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (28, 63), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65), (29, 65),
    (29, 65))
